Skip to main content
DELETE
/
projects
/
{project_reference}
/
schedules
/
{schedule_id}
Delete Project Schedule
curl --request DELETE \
  --url https://api.veryfront.com/projects/{project_reference}/schedules/{schedule_id} \
  --header 'Authorization: Bearer <token>'
{
  "schedule": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "target": {
      "id": "<string>",
      "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "schedule": "<string>",
    "timezone": "<string>",
    "runtime_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "runtime_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "config": {},
    "timeout_seconds": 123,
    "backoff_limit": 123,
    "concurrency_policy": "<string>",
    "last_scheduled_at": "<string>",
    "last_successful_at": "<string>",
    "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "run_as_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
Minimum string length: 1
schedule_id
string<uuid>
required

Response

Deleted schedule

ok
enum<boolean>
required
Available options:
true
schedule
object
required